/*******************************************************************************
 * WorldAttractor generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class WorldAttractor extends Actor
    native(Physics)
    placeable
    hidecategories(Navigation,Lighting,LightColor,Force);

enum EWorldAttractorFalloffType
{
    FOFF_Constant,
    FOFF_Linear,
    FOFF_Exponent,
    FOFF_MAX
};

struct native WorldAttractorData
{
    var bool bEnabled;
    var Vector Location;
    var WorldAttractor.EWorldAttractorFalloffType FalloffType;
    var float FalloffExponent;
    var float Range;
    var float Strength;

    structdefaultproperties
    {
        bEnabled=false
        Location=(X=0.0,Y=0.0,Z=0.0)
        FalloffType=EWorldAttractorFalloffType.FOFF_Constant
        FalloffExponent=0.0
        Range=0.0
        Strength=0.0
    }
};

var() bool bEnabled;
var() float LoopDuration;
var float CurrentTime;
var() WorldAttractor.EWorldAttractorFalloffType FalloffType;
var() interp MatineeRawDistributionFloat FalloffExponent;
var() interp MatineeRawDistributionFloat Range;
var() interp MatineeRawDistributionFloat Strength;
var() interp float CollisionRadius;
var() interp MatineeRawDistributionFloat DragCoefficient;
var() interp MatineeRawDistributionFloat DragRadius;

function OnSetWorldAttractorParam(SeqAct_SetWorldAttractorParam Action)
{
    // End:0x4C
    if(Action.bEnabledField)
    {
        bEnabled = Action.bEnabled;
    }
    // End:0x96
    if(Action.bFalloffTypeField)
    {
        FalloffType = Action.FalloffType;
    }
    // End:0xE0
    if(Action.bRangeField)
    {
        Range = Action.Range;
    }
    // End:0x12A
    if(Action.bStrengthField)
    {
        Strength = Action.Strength;
    }
    //return;    
}

defaultproperties
{
    bEnabled=true
    FalloffExponent=(MatineeValue=0.0,bInMatinee=false,Distribution=DistributionFloatConstant'Default__WorldAttractor.DistributionFalloffExponent',Type=0,Op=0,LookupTableNumElements=0,LookupTableChunkSize=0,LookupTable=none,LookupTableTimeScale=0.0,LookupTableStartTime=0.0)
    Range=(MatineeValue=0.0,bInMatinee=false,Distribution=DistributionFloatConstant'Default__WorldAttractor.DistributionRange',Type=0,Op=0,LookupTableNumElements=0,LookupTableChunkSize=0,LookupTable=none,LookupTableTimeScale=0.0,LookupTableStartTime=0.0)
    Strength=(MatineeValue=0.0,bInMatinee=false,Distribution=DistributionFloatConstant'Default__WorldAttractor.DistributionStrength',Type=0,Op=0,LookupTableNumElements=0,LookupTableChunkSize=0,LookupTable=none,LookupTableTimeScale=0.0,LookupTableStartTime=0.0)
    DragCoefficient=(MatineeValue=0.0,bInMatinee=false,Distribution=DistributionFloatConstant'Default__WorldAttractor.DistributionDragCoefficient',Type=0,Op=0,LookupTableNumElements=0,LookupTableChunkSize=0,LookupTable=none,LookupTableTimeScale=0.0,LookupTableStartTime=0.0)
    DragRadius=(MatineeValue=0.0,bInMatinee=false,Distribution=DistributionFloatConstant'Default__WorldAttractor.DistributionDragRadius',Type=0,Op=0,LookupTableNumElements=0,LookupTableChunkSize=0,LookupTable=none,LookupTableTimeScale=0.0,LookupTableStartTime=0.0)
    Components(0)=none
}